#include <iostream>

using namespace std;

int main()
{
	char c1, c2, niz[100000];
	int a1, a2, bra1, bra2;
	string recenica = "";
	bool moguce = true;
	cin >> c1 >> c2 >> a1 >> a2;
	bra1 = 0;
	bra2 = 0;


	for (int i = 0; i < a1 + a2; i++) {
		if (i % 2 == 0) {
			if (bra1 < a1) {
				niz[i] = c1;
				bra1++;
			}
			else {
				if (bra2 < a2) {
					niz[i] = c2;
					bra2++;
				}
			}
		}
		else {
			if (bra2 < a2) {
				niz[i] = c2;
				bra2++;
			}
			else {
				if (bra1 < a1) {
					niz[i] = c1;
					bra1++;
				}
			}
		}

	}

	for (int i = 0; i < a1 + a2; i++) {
		if (niz[i] == niz[i + 1]) {
			moguce = false;
			break;
		}
		else {
			recenica += niz[i];
		}
	}

	if (moguce) {
		cout << recenica << endl;
	}
	else {
		cout << "nemoguce\n";
	}

	
	return 0;
}